# RunLineAsync(LocalizedLine,LineCancellationToken)

Method in [LineAdvancer](/api/csharp/yarn.unity/yarn.unity.lineadvancer.md)

## Summary

Called by a dialogue presenter to signal that a line is running.

```csharp
public override YarnTask RunLineAsync(LocalizedLine line, LineCancellationToken token)
```

## Parameters

| Name                                                                                                 | Description                                                                                                                                                                                                          |
| ---------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Yarn.Unity.LocalizedLine](/api/csharp/yarn.unity/yarn.unity.localizedline.md) line                  | The line to present.                                                                                                                                                                                                 |
| [Yarn.Unity.LineCancellationToken](/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md) token | A [LineCancellationToken](/api/csharp/yarn.unity/yarn.unity.linecancellationtoken.md) that represents whether the dialogue presenter should hurry it its presentation of the line, or stop showing the current line. |

## Returns

A completed task.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.runlineasync.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
